import http from '../../src/http/index'
import util from '../../src/libs/util'
import dd from 'gdt-jsapi';
import queue from '../../src/common/zzdmd'
Page({
  data: {
    pageNo: 1,
    pageSize: 10,
    searchValue: '',
    userList: [],
    timeId: 0
  },
  onLoad(query) {
    console.log(query)
    this.setData({
      userId: getApp().globalData.userInfo.userId,
      equipment_id: query.equipment_id,
      userIds: query.userIds
    })
    this.getUserList()
  },
  onShow() {
    // 页面显示
    queue('sysUser','用户管理',"pages/sysUser/sysUser")  
  },
  handleInput(value) {
    this.setData({
      searchValue: value,
    });
    clearTimeout(this.data.timeId) //清除定时器
    this.data.timeId = setTimeout(()=>{     
      this.getUserList() //发送请求，间隔时间为1s
    },1000)
  },
  handleClear() {
    this.setData({
      searchValue: '',
    });
    this.getUserList()
  },
  onCheckClick(e) {
    let user = e.target.dataset.info
    let index = this.data.userList.findIndex(i => i.id == user.id)
    this.setData({
      [`userList[${index}].checked`]: !user.checked
    })
    if(user.checked) {
      this.setData({
        userIds: this.data.userIds.split(',').filter(i => i != user.id).toString()
      })
    }
    let arr1 = this.data.userList.filter(i => i.checked === true).map(j => j.id)
    let arr2 = this.data.userIds.split(',')
    if (arr2[0] != '') {
      arr1 = [...arr1, ...arr2]
    }
    let users = Array.from(new Set(arr1)).toString()
    http.post(getApp().globalData.service + '/api/T_Borrow/SetCarBindUser', {equipment_id: this.data.equipment_id, users: users}).then(res => {
      if (res.Success) {
        util.ddToast({ type: 'success', text: res.Message })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  getUserList() {
    let params = {
      pageNo: this.data.pageNo,
      pageSize: this.data.pageSize,
      realname: "*" + this.data.searchValue + "*"
    }
    http.get('/jeecg/sys/user/list', params).then(res => {
      if (res.success) {
        this.setData({
          userList: res.result.records
        })
        this.data.userIds.split(',').forEach(element => {
          let index = this.data.userList.findIndex(i => i.id == element)
          this.setData({
            [`userList[${index}].checked`]: true
          })
        });
      } else {
        util.ddToast({ type: 'fail', text: res.message })
      }
    })
  },
  onPullDownRefresh() {
    this.setData({
      pageSize: 10
    })
    this.getUserList()
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getUserList();
  },
  editUser(e) {
    let user = e.target.targetDataset.info
    dd.redirectTo({
      url: '../editUser/editUser?id=' + user.id + '&username=' + user.username + '&realname=' + user.realname +'&deptName=' + user.departIds_dictText
    })
  },
  back() {
    dd.redirectTo({
      url: '../sysCar/sysCar'
    })
  }
});
