import http from '../../src/http'
import util from '../../src/libs/util';
import dd from 'gdt-jsapi';
import queue from '../../src/common/zzdmd'
Page({
  data: {
    orderInfo: {},
    id: '',
    showSubmit: false,
    showAction: false,
    activeIndex: 1,
    processList: [],
    userInfo: {}
  },
  onLoad(query) {
    if (query.id) {
      this.setData({
        id: query.id,
        userInfo: getApp().globalData.userInfo,
        showSubmit: query.showSubmit ? query.showSubmit : false,
        showAction: query.showAction ? query.showAction : false
      })
      this.getDetail(query.id)
    }
  },
  onShow() {
    // 页面显示
    queue('orderDetail','订单明细',"pages/orderDetail/orderDetail")  
  },
  getDetail(id) {
    this.getById(id)
  },
  getById(id) {
    http.post(getApp().globalData.service + '/api/T_Borrow/GetId', {id:id}).then(res => {
      if (res.Success) {
        this.setData({
          orderInfo: res.result
        })
        this.getAllProcess()
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  getAllProcess() {
    http.post(getApp().globalData.service + '/api/Sys_Process/GetAllProcess', {code: this.data.orderInfo.flow_type}).then(res => {
      if (res.Success) {
        let list = []
        res.result.forEach(element => {
          let des = this.data.orderInfo.processList.find(i => i.step_name == element)
          list.push({
            title: element,
            description: des ? des.realname + '在' + des.update_time + des.audit_mind : ''
          })
        })
        this.setData({
          processList: list,
          activeIndex: this.data.orderInfo.flow_state == 'True' ? list.length : res.result.findIndex(i => i == this.data.orderInfo.current_step_name) + 1
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  onInput (e) {
    this.setData({
      shIdea: e.detail.value,
    });
  },
  agree (event) {
    const result = event.target.dataset.result
    let processData = {
      code: this.data.orderInfo.flow_type,
      stepId: this.data.orderInfo.next_step_id,
      flowGateway: result === 'yes' ? '同意' : '不同意'
    }
    let formData = {
      id: this.data.orderInfo.id,
      audit_mind: result === 'yes' ? '同意' : '不同意',
      userid: getApp().globalData.userInfo.userId,
    }
    http.post(getApp().globalData.service + '/api/Sys_Process/GetProcess', processData).then(res => {
      if (res.Success) {
        formData = Object.assign(formData, res.result)
        http.post(getApp().globalData.service + '/api/T_Borrow/ApproveBorrow', formData).then(res => {
          if (res.Success) {
            dd.redirectTo({
              url: '../orderList/orderList'
            })
          } else {
            util.ddToast({ type: 'fail', text: res.Message })
          }
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  carPickerChange(e) {
    this.setData({
      index: e.detail.value,
      equipment_id: this.data.carList[e.detail.value].carId
    });
  },
  getCar() {
    const that = this
    http.post(getApp().globalData.service + '/api/T_Borrow/GetCarList', {}).then(res => {
      if (res.Success) {
        my.optionsSelect({
          title: "请选择车辆",
          optionsOne: res.result.map(i => i.carNumber +'('+ i.name + ')'),
          success(reg) {
            if (reg.selectedOneIndex) {
              that.changeCar(res.result[reg.selectedOneIndex])
            }
          }
        });
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  changeCar(car) {
    http.post(getApp().globalData.service + '/api/T_Borrow/ChangeCar', {id: this.data.id, equipment_id:  car.id}).then(res => {
      if (res.Success) {
        dd.redirectTo({
          url: '../sysOrder/sysOrder'
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })

  },
  finishOrder() {
    http.post(getApp().globalData.service + '/api/T_Borrow/Finish', {id: this.data.id }).then(res => {
      if (res.Success) {
        dd.redirectTo({
          url: '../sysOrder/sysOrder'
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  }
});
