import http from '../../src/http'
import util from '../../src/libs/util';
import dd from 'gdt-jsapi';
Page({
  data: {
    stateObjectArray: [
      {
        id: 1,
        name: '待审批'
      },
      {
        id: 2,
        name: '待派车'
      },
      {
        id: 3,
        name: '待取车'
      },
      {
        id: 4,
        name: '待归还'
      },
      {
        id: 5,
        name: '已完成'
      },
      {
        id: 6,
        name: '驳回'
      },
      {
        id: 7,
        name: '全部'
      },
    ],
    arrIndex: 6,
    pageNo: 1,
    pageSize: 10
  },
  onLoad(query) {
    if (query.arrIndex) {
      this.setData({
        arrIndex: query.arrIndex
      });
    }
    this.getOrderList()
  },
  getOrderList() {
    let state = this.data.stateObjectArray[this.data.arrIndex].id
    let data = {
      pageNo: this.data.pageNo,
      pageSize: this.data.pageSize,
      type: 2,
      state: state === 7 ? '' : state,
      userid: getApp().globalData.userInfo.userId
    }
    http.post(getApp().globalData.service + '/api/T_Borrow/GetPageList', data).then(res => {
      if (res.Success) {
        this.setData({
          orderList:res.result.records
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  bindObjPickerChange(e) {
    this.setData({
      arrIndex: e.detail.value,
      pageSize: 10
    });
    this.getOrderList()
  },
  onPullDownRefresh() {
    this.setData({
      pageSize: 10
    })
    this.getOrderList()
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  showPage(event) {
    let _id = event.target.dataset.id
    dd.redirectTo({
      url: '../orderDetail/orderDetail?id=' + _id
    })
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getOrderList();
  },
  
});
