import http from '../../src/http'
import util from '../../src/libs/util';
import dd from 'gdt-jsapi';
import queue from '../../src/common/zzdmd'

Page({
  data: {
    pageNo: 1,
    pageSize: 10
  },
  onLoad() {
    this.getOrderList()
  },
  onShow() {
    // 页面显示
    queue('orderList','订单列表',"pages/orderList/orderList")  
  },
  getOrderList() {
    let data = {
      pageNo: this.data.pageNo,
      pageSize: this.data.pageSize,
      type: 1,
      userid: getApp().globalData.userInfo.userId
    }
    http.post(getApp().globalData.service + '/api/T_Borrow/GetPageList', data).then(res => {
      if (res.Success) {
        this.setData({
          orderList:res.result.records
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  onPullDownRefresh() {
    this.setData({
      pageSize: 10
    })
    this.getOrderList()
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  showPage(event) {
    let _id = event.target.dataset.id
    dd.redirectTo({
      url: '../orderDetail/orderDetail?id=' + _id + '&showSubmit=true'
    })
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getOrderList();
  },
  
});
