import http from '../../src/http/index'
import util from '../../src/libs/util'
import dd from 'gdt-jsapi';

Page({
  data: {
    pageNo: 1,
    pageSize: 10,
    url: {
      getDepart: '/jeecg/sys/sysDepart/listAll'
    },
    searchValue: '',
    timeId: 0
  },
  onLoad(query) {
    if (query.id) {
      this.setData({
        id: query.id,
        username: query.username,
        realname: query.realname,
      })
    }
    this.initDepart()
  },
  handleInput(value) {
    this.setData({
      searchValue: value,
    });
    clearTimeout(this.data.timeId) //清除定时器
    this.data.timeId = setTimeout(()=>{     
      this.initDepart() //发送请求，间隔时间为1s
    },1000)
  },
  handleClear() {
    this.setData({
      searchValue: '',
    });
    this.initDepart()
  },
  initDepart() {
    const _this = this
    http.get(this.data.url.getDepart, {departName: this.data.searchValue}).then(res => {
      if (res.success) {
        _this.setData({
          departList: res.result
        })
      } else {
        util.ddToast({ type: 'fail', text: res.message })
      }
    })
  },
  onItemClick(e) {
    let info = e.target.dataset.info
    dd.redirectTo({
      url: '../editUser/editUser?deptName=' + info.departName + '&id=' +this.data.id + '&username=' + this.data.username + '&realname=' + this.data.realname
    })
  },
});
