import http from '../../src/http/index'
import util from '../../src/libs/util'
import dd from 'gdt-jsapi';
import queue from '../../src/common/zzdmd'

Page({
  data: {
    pageNo: 1,
    pageSize: 10,
    searchValue: '',
    timeId: 0
  },
  onLoad() {
    this.setData({
      userId: getApp().globalData.userInfo.userId
    })
    this.getCarList()
  },
  onShow() {
    // 页面显示
    queue('sysCar','车辆管理',"pages/sysCar/sysCar")  
  },
  handleInput(value) {
    this.setData({
      searchValue: value,
    });
    clearTimeout(this.data.timeId) //清除定时器
    this.data.timeId = setTimeout(()=>{     
      this.getCarList() //发送请求，间隔时间为1s
    },1000)
  },
  handleClear() {
    this.setData({
      searchValue: '',
    });
    this.getCarList()
  },
  searchSubmit() {
    this.getCarList()
  },
  getCarList() {
    let data = {
      pageNo: this.data.pageNo,
      pageSize: this.data.pageSize,
      carNumber: this.data.searchValue
    }
    http.post(getApp().globalData.service + '/api/T_Borrow/FindCarBindUser', data).then(res => {
      if (res.Success) {
        this.setData({
          carList: res.result.map((data, index) => ({...data, nameStr: data.users.map(i => i.realname).join(',')}))
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  onPullDownRefresh() {
    this.setData({
      pageSize: 10
    })
    this.getCarList()
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getCarList();
  },
  addCar() {
    dd.redirectTo({
      url: '../addCar/addCar'
    })
  },
  toBindUser(e) {
    let car = e.target.dataset.info
    dd.redirectTo({
      url: '../bindUser/bindUser?equipment_id='+car.equipment_id + '&userIds=' + car.users.map(i => i.user_id).join(',')
    })
  }
});
