import http from '../../src/http'
import util from '../../src/libs/util';
import dd from 'gdt-jsapi';
Page({
  data: {
    pageNo: 1,
    pageSize: 10,
    showTop: false,
    modalOpened: false,
    buttons: [
      { text: '取消' },
      { text: '确定', extClass: 'buttonBold' },
    ],
    select: [
      {
        title: '选择车辆',
        open: false
      },
      {
        title: '选择时间',
        open: false
      }
    ],
    tabs: [
      // {
      //   title: '待审批'
      // },
      {
        title: '待派车'
      },
      {
        title: '待取车'
      },
      {
        title: '待归还'
      },
      {
        title: '已完成'
      },
      // {
      //   title: '驳回'
      // },
    ],
    activeTab: 0
  },
  onLoad() {
    this.getOrderList()
  },
  getOrderList() {
    let data = {
      pageNo: this.data.pageNo,
      pageSize: this.data.pageSize,
      type: 3,
      state: this.data.activeTab + 2,
      userid: getApp().globalData.userInfo.userId
    }
    http.post(getApp().globalData.service + '/api/T_Borrow/GetPageList', data).then(res => {
      if (res.Success) {
        this.setData({
          logList: res.result.records
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  handleTabClick({ index, tabsName }) {
    this.setData({
      [tabsName]: index,
    });
    this.getOrderList()
  },
  handleTabChange({ index, tabsName }) {
    this.setData({
      [tabsName]: index
    })
  },
  bindObjPickerChange(e) {
    this.setData({
      arrIndex: e.detail.value,
      carNumber: this.data.carList[e.detail.value]
    });
    this.getOrderList()
  },
  onPullDownRefresh() {
    // 页面被下拉
    this.getOrderList();
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getOrderList();
  },
  skipSelect(e) {
    if (e.target.dataset.index === 0) {
      this.setData({
        show: true
      })
    }
    if (e.target.dataset.index === 1) {
      this.setData({
        showTop: true
      })
    }
  },
  onPopupClose() {
    this.setData({
      showTop: false,
    });
  },
  handleCallBack(data) {
    this.setData({
      carNumber: data[0].value,
      show: false
    })
    this.getOrderList()
  },
  dateStartPicker() {
    my.datePicker({
      title: '选择始出车时间',
      success: (res) => {
        this.setData({
          start_time: res.date,
        });
      },
    });
  },
  dateEndPicker() {
    my.datePicker({
      title: '选择始结束时间',
      success: (res) => {
        this.setData({
          end_time: res.date,
        });
      },
    });
  },
  dateSearch() {
    this.setData({
      showTop: false
    });
    this.getOrderList()
  },
  onItemClick(e) {
    let _id = e.target.dataset.order.id
    dd.navigateTo({
      url: '../orderDetail/orderDetail?id=' + _id + '&showAction=true'
    })
  },
  onButtonClick(e) {
    const { target: { dataset } } = e;
    this.setData({
      modalOpened: false,
    });
    if (dataset.index === 1) {
      
    }
  }
});
