import http from '../../src/http/index'
import util from '../../src/libs/util'
import dd from 'gdt-jsapi';
import queue from '../../src/common/zzdmd'
Page({
  data: {
    pageNo: 1,
    pageSize: 10,
    searchValue: '',
    roleList: [
      {roleId: 'e51758fa916c881624b046d26bd09230', name: '领导'},
      // {roleId: '1429329085694271710', name: '白名单'},
      {roleId: '1429329085699571714', name: '普通用户'},
    ],
    modalOpened: false,
    buttons: [
      { text: '取消' },
      { text: '确定', extClass: 'buttonBold' },
    ],
    timeId: 0
  },
  onLoad() {
    this.setData({
      userId: getApp().globalData.userInfo.userId
    })
    this.getUserList()
    this.getRoleList()
  },
  onShow() {
    // 页面显示
    queue('sysUser','用户管理',"pages/sysUser/sysUser")  
  },
  handleInput(value) {
    this.setData({
      searchValue: value,
    });
    clearTimeout(this.data.timeId) //清除定时器
    this.data.timeId = setTimeout(()=>{     
      this.getUserList() //发送请求，间隔时间为1s
    },1000)
  },
  handleClear() {
    this.setData({
      searchValue: '',
    });
    this.getUserList()
  },
  // searchSubmit() {
  //   this.getUserList()
  // },
  onModalClick() {
    this.setData({
      qrCodeModal: false,
    });
  },
  onModalClose() {
    this.setData({
      qrCodeModal: false,
    });
  },
  getUserList() {
    let params = {
      pageNo: this.data.pageNo,
      pageSize: this.data.pageSize,
      realname: "*" + this.data.searchValue + "*"
    }
    http.get('/jeecg/sys/user/list', params).then(res => {
      if (res.success) {
        this.setData({
          userList: res.result.records
        })
      } else {
        util.ddToast({ type: 'fail', text: res.message })
      }
    })
  },
  getRoleList() {

  },
  onPullDownRefresh() {
    this.setData({
      pageSize: 10
    })
    this.getUserList()
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getUserList();
  },
  editUser(e) {
    let user = e.target.targetDataset.info
    dd.redirectTo({
      url: '../editUser/editUser?id=' +user.id + '&username=' + user.username + '&realname=' + user.realname +'&deptName=' + user.departIds_dictText
    })
  },
});
